org.apache.ignite.internal.sql.command

## Class SqlSetStreamingCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlSetStreamingCommand

All Implemented Interfaces:
  SqlCommand

    public class SqlSetStreamingCommand
    extends Object
    implements SqlCommand

SET STREAMING command.

### Constructor Summary

Constructors
Constructor and Description
`SqlSetStreamingCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `allowOverwrite()`
`int` `batchSize()`
`long` `flushFrequency()`
`boolean` `isOrdered()`
`boolean` `isTurnOn()`
`SqlCommand` `parse(SqlLexer lex)` Parse command.
`int` `perNodeBufferSize()`
`int` `perNodeParallelOperations()`
`String` `schemaName()`
`void` `schemaName(String schemaName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlSetStreamingCommand

    public SqlSetStreamingCommand()

### Method Detail

#### parse

    public SqlCommand parse(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### isTurnOn

    public boolean isTurnOn()

Returns:
  Whether streaming must be turned on or off by this command.

#### allowOverwrite

    public boolean allowOverwrite()

Returns:
  Whether existing values should be overwritten on keys duplication.

#### batchSize

    public int batchSize()

Returns:
  Batch size for driver.

#### perNodeParallelOperations

    public int perNodeParallelOperations()

Returns:
  Per node number of parallel operations.

#### perNodeBufferSize

    public int perNodeBufferSize()

Returns:
  Per node streamer buffer size.

#### flushFrequency

    public long flushFrequency()

Returns:
  Streamer flush timeout

#### isOrdered

    public boolean isOrdered()

Returns:
  `true` if the streamer keep the order of the statements. Otherwise returns `false`.

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020